Package org.apache.sling.distribution.journal.impl.publisher

# Annotation Type PublisherConfiguration

public @interface PublisherConfiguration

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`int`
`maxQueueSizeDelay`
`String`
`name`
`String`
`packageBuilder_target`
`int`
`queuedTimeout`
`int`
`queueSizeLimit`
`String`
`webconsole_configurationFactory_nameHint`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DEFAULT_QUEUE_SIZE_LIMIT`

## Field Details

### DEFAULT_QUEUE_SIZE_LIMIT

static final int DEFAULT_QUEUE_SIZE_LIMIT

See Also:
  - Constant Field Values

## Element Details

### webconsole_configurationFactory_nameHint

String webconsole_configurationFactory_nameHint

Default:
  `"Agent name: {name}"`

### name

String name

Default:
  `""`

### packageBuilder_target

String packageBuilder_target

Default:
  `"(name=...)"`

### queuedTimeout

int queuedTimeout

Default:
  `60000`

### maxQueueSizeDelay

int maxQueueSizeDelay

Default:
  `20000`

### queueSizeLimit

int queueSizeLimit

Default:
  `1000`